#
# spec file for package flacon
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           flacon
Version:        0.7.2
Release:        1.1
License:        GPL-3.0+
Summary:        Split Compressed Audio CD Image to Tracks
Url:            http://code.google.com/p/flacon/
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Source0:        http://flacon.googlecode.com/files/%{name}-%{version}.tgz
BuildRequires:  hicolor-icon-theme
BuildRequires:  python-base
BuildRequires:  python-qt4-devel
BuildRequires:  update-desktop-files
# not actually needed for build, but in order to make the build fail
# if the runtime dependencies are not available in the repository:
BuildRequires:  faac
BuildRequires:  flac
BuildRequires:  lame
BuildRequires:  mac
BuildRequires:  mp3gain
BuildRequires:  shntool
BuildRequires:  ttaenc
BuildRequires:  vorbis-tools
BuildRequires:  vorbisgain
BuildRequires:  wavpack
Requires:       faac
Requires:       flac
Requires:       lame
Requires:       mac
Requires:       python-chardet
Requires:       python-qt4
Requires:       shntool
Requires:       ttaenc
Requires:       vorbis-tools
Requires:       wavpack
Recommends:     %{name}-lang
Recommends:     mp3gain
Recommends:     vorbisgain
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%py_requires

%description
Flacon extracts individual tracks from one big audio file containing
the entire album of music and saves them as separate audio files. To do
this, it uses information from the appropriate CUE file. Besides, Flacon
makes it possible to conveniently revise or specify tags both for all
tracks at once or for each tag separately.

%lang_package

%prep
%setup -q

%build
make clean
make

%install
%make_install
rm -f %{buildroot}%{_datadir}/%{name}/encoders/*_config_ui.py*
%find_lang %{name} --with-qt
%suse_update_desktop_file %{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/translations/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*

%files lang -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}/translations/

%changelog
* Fri Aug 17 2012 lazy.kent@opensuse.org
- Update to 0.7.2.
  * Fix. The program sometimes crashes when parsing incorrect CDDB
    data.
  * Fix. When bulk coding, the program could not create the
    directories.
  * Improved translations detection.
* Sat Aug  4 2012 lazy.kent@opensuse.org
- Update to 0.7.1.
  * Fix in the Makefile.
  * Simplified Chinese and Traditional Chinese translations.
* Fri Aug  3 2012 lazy.kent@opensuse.org
- Update to 0.7.0.
  * Added automatic character set detection for CUE files.
  * New translations.
  * Flacon uses www.transifex.comt for the translation.
- Split off language package.
- Requires: python-chardet.
- Add desktop_database_post/un macros.
- Remove check for unsupported openSUSE versions.
* Mon Feb 13 2012 lazy.kent@opensuse.org
- Update to 0.6.1.
  * Fix in pl_PL translation.
  * Fixed IOError: Interrupted system call.
  * Improved translation search.
* Thu Dec  1 2011 lazy.kent@opensuse.org
- Update to 0.6.0.
  * AAC encoder added (requires faac).
  * French and French Canadian translations.
  * Improved error and warning handling. More info in the messages.
  * Many text improvements.
  * Download-progress and warning icons more visible.
  * Another small GUI improvements and internal code refactoring.
- Corrected License tag.
- Use full URL as a source.
- Added icon_theme_cache_post/un macros.
- Spec clean up.
* Sun May  8 2011 lazy.kent@opensuse.org
- Update to 0.5.7
  * Added ISO-8859-XX codepages.
  * Fixed: Incorrect CD-quality check.
  * Fixed: Incorrect translation of the converter error
    messages.
  * The Makefile checks if pyuic4 exists.
* Wed Mar  2 2011 lazy.kent@opensuse.org
- Moved to Packman.
- Removed specific pyton-sip version dependency for oS < 11.2.
- Requires ttaenc.
* Sat Feb 12 2011 lazy.kent@opensuse.org
- Build requires libqt4-devel and python-qt4 for oS 11.1.
* Fri Feb 11 2011 lazy.kent@opensuse.org
- Update to 0.5.6
  * Fix: Configure dialog->programs->"search program file" caused
    an error.
  * Add: Icon names compatible with KDE3 are added.
- Build requires python-qt4-devel to compile locales.
* Thu Feb 10 2011 lazy.kent@opensuse.org
- Update to 0.5.5
  * Fix: Some programs use "TotalTracks" tag, others the
    "TrackTotal". Now Flacon saves both.
  * Fix: Handling filenames with spaces in Makerfile.
* Fri Jan 28 2011 lazy.kent@opensuse.org
- Update to 0.5.4
  * Add: Polish translation. Thanks Tomasz Niedzielski.
  * The program saves "TotalTracks" tag now.
  * Some GUI performance optimisation.
* Fri Nov 26 2010 lazy.kent.suse@gmail.com
- Update to 0.5.3
  * Fix: The program safely handle "?" and "*" in the tags.
* Sun Nov 14 2010 lazy.kent.suse@gmail.com
- Remove buildroot in clean section.
* Mon Oct 25 2010 lazy.kent.suse@gmail.com
- Update to 0.5.2
  * Fix: Improved detection of the user language.
  * Fix: Error when user try to load a UTF-8 encoded cue file.
  * Fix: Sometimes pasting a new directory in the Directory field
    won't be respected.
* Tue Sep 21 2010 lazy.kent.suse@gmail.com
- Update to 0.5
  * Add: Program can process multiple disc at once.
  * Add: Download disc information from the CDDB.
  * Fix: Code refactoring and many bug fixes.
* Mon Aug 16 2010 lazy.kent.suse@gmail.com
- Update to 0.4.6
  * Add: Support WavPack output format. Thanks to Artem Aleksuk.
  * Add: Support True Audio (TTA) input format.
  * Add: Additional file checks and more informative messages.
* Sun Aug  8 2010 lazy.kent.suse@gmail.com
- Update to 0.4.5
  * Add: Czech translation.
  * Add: Now the program has the correct icons in the Gnome.
  * Add: Support for SVG icons.
  * Fix: Loading icons in the Gnome 2.30.
* Tue Jul 27 2010 lazy.kent.suse@gmail.com
- Update to 0.4.4
  * Fix: Incorrect processing of the tag "genre" in the resulting
    file name.
* Tue Jul 20 2010 lazy.kent.suse@gmail.com
- Update to 0.4.3
  * Fix: Some fixes in desktop file.
* Thu Jun 10 2010 lazy.kent.suse@gmail.com
- Update to 0.4.2
  * Fix: Now program compatible with the old versions of the PyQt.
  * Fix: Some small fixes in the translation.
* Fri May 28 2010 lazy.kent.suse@gmail.com
- Initial package created - 0.4.1
